Bug 97530

Summary: Modem lights does not use the correct interface names
Product: [Fedora] Fedora Reporter: Gary A. McGee <garymcgee>
Component: gnome-appletsAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1CC: dallanpr, garymcgee
Target Milestone: ---Keywords: MoveUpstream, Triaged
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-11 18:14:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Gary A. McGee 2003-06-17 08:28:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030529

Description of problem:
The lights on the Gnome Panel "Modem Lights" Applet are not working properly
when an intenet connection is made.  I can connect to the internet, but the
receive data and send data lights do not work (they are blank).  The connection
status light keeps blinking yellow instead of turning solid green when the
internet connection is made.  There is no graphical display of the send and
receive data rates either.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start modem lights applet in Gnome panel.
2.
3.
    

Actual Results:  As stated in description.

Expected Results:  Lights should have worked properly.

Additional info:
Comment 1 Gary A. McGee 2003-06-17 20:52:01 EDT
I found the cause of the problem.  Under Modem Lights Preferences -> Advanced, I
had the device option set to /dev/ttyS4.  Even though my modem is /dev/ttyS4,
the correct value is ppp0.  It now works as expected.  Perhaps making this
clearer in the documentation would help.
Comment 2 Joachim Frieben 2003-06-27 11:24:26 EDT
Unfortunately, I cannot confirm this observation. In neither case, the modem
lights work for me. At least I can dial in, but without graphical feedback,
'redhat-control-network' is much better to handle modem connections!
Comment 3 Paulo 2003-12-20 14:53:52 EST
This works, if you provide the corrct /dev/ttyS_ set

In my system, it is /dev/ttyS1 (and ppp_ is still ppp0).

Just have a problema: the connect/disconnect funcions dont work, even
with the full /sbin/ifup ppp0  command.

In a shell, it states that the configuration for ppp0 has not been
found... but my modem works throught the network devices control
system... (actually, I'm sending this message through this system)...
Comment 4 Steve Blamey 2003-12-22 09:48:41 EST
I've just been setting up the modem on a Fedora Core-1 box and I've
used redhat-config-network to setup the modem hardware and added an
entry on the 'device' tab. The device has a nickname and this is what
should be entered in the commands for the gnome modem lights applet,
not ppp0 (unless the nickname is ppp0).

Check in the directory /etc/sysconfig/network-scripts and you will see
a file called ifcfg-Nickname that contains the paramteters for the
connection. In my case I have ifcfg-Freeserve so my modem lights
commands are:

Connect: /sbin/ifup Freeserve
Disconnect: /sbin/ifdown Freeserve

In the Advanced tab the device is still ppp0 and the lock file is
/var/lock/LCK..modem

When I click the button on the lights applet I get connected and get
all the flashing colours, bar chart, etc.

Hope this helps someone!
Comment 5 Mark McLoughlin 2004-07-19 05:44:43 EDT
Sounds like we need to figure out how to make modemlights more
intelligent about the interface name it uses.
Comment 6 Mark McLoughlin 2004-07-19 05:45:46 EDT
Please confirm if the problem exists in Fedora Core 2.
Comment 7 Simon Li 2004-08-10 16:45:57 EDT
This problem is still present in Fedora 2. The connection time and
connect/disconnect button works after setting the device (/dev/ttyS0),
lock file (/var/lock/LCK..ttyS0) and connection commands (/sbin/ifup
Mip, /sbin/ifdown Mip), but the status light remains in the
"connecting" state (flashing yellow), even once the connection is
fully up.
Comment 8 Edgardo 2004-12-17 22:59:02 EST
I'm trying to connect to the internet from FC1 and the OS is not 
seeing my modem. I have Windows XP Pro and FC1 installed in one 
harddisk and for windows the modem is working fine. it's on Com3 port 
for windows but when I try to conifigure it on FC1, it does not see 
the modem. can anyone help.
Comment 9 Edgardo 2004-12-17 23:11:07 EST
I'm trying to connect to the internet from FC1 and the OS is not 
seeing my modem. I have Windows XP Pro and FC1 installed in one 
harddisk and for windows the modem is working fine. it's on Com3 port 
for windows but when I try to conifigure it on FC1, it does not see 
the modem. can anyone help.
Comment 10 Ray Strode [halfline] 2005-05-11 18:14:48 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.